Subject: Re: bug#28658: 27.0.50; [PATCH] double/triple clicking in xterm-mouse-mode doesn't respect mouse position

From: Alex <[email-masked]>
Date: Sun, 08 Oct 2017 20:37:20 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: Alex <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 05 Oct 2017 18:03:31 -0600
>> 
>>   Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>>     xterm-mouse-event(1006)
>>     xterm-mouse-translate-1(1006)
>>     xterm-mouse-translate-extended(nil)
>> 
>> So the backtrace acknowledges xterm-mouse-event is the culprit, but
>> without `debug-on-error' set the error message blames
>> xterm-mouse-translate-1.
>> 
>> If I don't use the bytecode versions of the procedures, though, then the
>> error message becomes:
>> 
>>   setq: Wrong type argument: number-or-marker-p, nil
>
> So this is something related to the byte compiler, I presume.

For the most part, yeah. Though without the byte compiler the error
message is prefixed by `setq' instead of `1+' as it should be (and is
when debugging).

> Did you look at the byte code?

No, I'm not sure what I should be looking for. I thought perhaps this
was a known limitation; should I report this as a bug?